API ReferenceWorkflows
Get Workflows
Authorization
apiKey Authorization<token>
API key authentication. Send your key in the Authorization header as: api-key <your-api-key>.
In: header
Path Parameters
workspace*string
Query Parameters
page?
sortOrder?
filter?
Response Body
application/json
curl -X GET "https://example.com/workspaces/string/workflows"{
"links": {
"next": "string",
"prev": "string"
},
"meta": {
"total_records": 0,
"total_pages": 0
},
"data": [
{
"type": "workflow",
"id": "string",
"attributes": {
"_id": "string",
"name": "string",
"description": "string",
"enabled": true,
"published_at": "2019-08-24T14:15:22Z",
"exits": {},
"run_limits": {},
"_created_at": "2019-08-24T14:15:22Z",
"_created_by": "string",
"_updated_at": "2019-08-24T14:15:22Z",
"_updated_by": "string",
"type": "sequence",
"trigger": {
"_id": "string",
"plugin_id": "clarify:email-validation",
"filters": [
{
"field": "string",
"condition": {
"property1": null,
"property2": null
}
}
],
"input": {
"property1": null,
"property2": null
},
"prev": "string",
"next": "string"
},
"blocks": {
"property1": {
"_id": "string",
"plugin_id": "clarify:email-validation",
"filters": [
{
"field": "string",
"condition": {
"property1": null,
"property2": null
}
}
],
"input": {
"property1": null,
"property2": null
},
"prev": "string",
"next": "string"
},
"property2": {
"_id": "string",
"plugin_id": "clarify:email-validation",
"filters": [
{
"field": "string",
"condition": {
"property1": null,
"property2": null
}
}
],
"input": {
"property1": null,
"property2": null
},
"prev": "string",
"next": "string"
}
}
},
"relationships": {}
}
]
}